WLRun (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ejb.WLRun class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ejb
Class WLRun

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.ejb.WLRun

All Implemented Interfaces:
  java.lang.Cloneable

    public class WLRun

extends Task

Starts a WebLogic server. A number of parameters are used to control the operation of the weblogic instance. Note that the task, and hence ant, will not complete until the weblogic instance is stopped.

Field Summary
`protected static java.lang.String` | `DEFAULT_PROPERTIES_FILE`
`protected static java.lang.String` | `DEFAULT_WL51_POLICY_FILE`
`protected static java.lang.String` | `DEFAULT_WL60_POLICY_FILE`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`WLRun()`

Method Summary
`Path` | `createClasspath()` Add the classpath for the user classes
`Path` | `createWLClasspath()` Get the classpath to the weblogic classpaths
`void` | `execute()` Do the work.
`void` | `setArgs(java.lang.String args)` Additional argument string passed to the Weblogic instance; optional.
`void` | `setBEAHome(java.io.File beaHome)` The location of the BEA Home; implicitly selects Weblogic 6.0; optional.
`void` | `setClasspath(Path classpath)` The classpath to be used with the Java Virtual Machine that runs the Weblogic Server; required.
`void` | `setDomain(java.lang.String domain)` Set the Domain to run in; required for WL6.0
`void` | `setHome(java.io.File weblogicHome)` The location where weblogic lives.
`void` | `setJvmargs(java.lang.String args)` Set the additional arguments to pass to the weblogic JVM
`void` | `setName(java.lang.String serverName)` The name of the weblogic server within the weblogic home which is to be run.
`void` | `setPassword(java.lang.String password)` Set the management password of the server; optional and only applicable to WL6.0.
`void` | `setPKPassword(java.lang.String pkpassword)` Set the private key password so the server can decrypt the SSL private key file; optional and only applicable to WL6.0.
`void` | `setPolicy(java.lang.String securityPolicy)` The name of the security policy file within the weblogic home directory that is to be used.
`void` | `setProperties(java.lang.String propertiesFilename)` The name of the server's properties file within the weblogic home directory used to control the weblogic instance; required for WL4.5.1
`void` | `setUsername(java.lang.String username)` Set the management username to run the server; optional and only applicable to WL6.0.
`void` | `setWeblogicMainClass(java.lang.String c)` name of the main class for weblogic; optional.
`void` | `setWlclasspath(Path weblogicClasspath)` Set the weblogic classpath used by the Weblogic Server; optional, and only applicable to WL4.5.1 The weblogic classpath is used by weblogic to support dynamic class loading.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_WL51_POLICY_FILE

    protected static final java.lang.String DEFAULT_WL51_POLICY_FILE

See Also:
  Constant Field Values

### DEFAULT_WL60_POLICY_FILE

    protected static final java.lang.String DEFAULT_WL60_POLICY_FILE

See Also:
  Constant Field Values

### DEFAULT_PROPERTIES_FILE

    protected static final java.lang.String DEFAULT_PROPERTIES_FILE

See Also:
  Constant Field Values

Constructor Detail

### WLRun

    public WLRun()

Method Detail

### createClasspath

    public Path createClasspath()

  Add the classpath for the user classes

  Returns:
    a path to be configured

### createWLClasspath

    public Path createWLClasspath()

  Get the classpath to the weblogic classpaths

  Returns:
    a path to be configured

### execute

    public void execute()
                 throws BuildException

  Do the work. The work is actually done by creating a separate JVM to run a helper task. This approach allows the classpath of the helper task to be set. Since the weblogic tools require the class files of the project's home and remote interfaces to be available in the classpath, this also avoids having to start ant with the class path of the project it is building.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

### setClasspath

    public void setClasspath(Path classpath)

  The classpath to be used with the Java Virtual Machine that runs the Weblogic Server; required. Prior to Weblogic 6.0, this is typically set to the Weblogic boot classpath. Under Weblogic 6.0 this should include all the weblogic jars

  Parameters:
    `classpath` - the classpath to use when executing the weblogic server.

### setWlclasspath

    public void setWlclasspath(Path weblogicClasspath)

  Set the weblogic classpath used by the Weblogic Server; optional, and only applicable to WL4.5.1 The weblogic classpath is used by weblogic to support dynamic class loading.

  Parameters:
    `weblogicClasspath` - the weblogic classpath

### setPolicy

    public void setPolicy(java.lang.String securityPolicy)

  The name of the security policy file within the weblogic home directory that is to be used. If not specified, the default policy file `weblogic.policy` is used.

  Parameters:
    `securityPolicy` - the security policy to use.

### setHome

    public void setHome(java.io.File weblogicHome)

  The location where weblogic lives. Required. This is the absolute location, not relative to BEA home.

  Parameters:
    `weblogicHome` - the home directory of weblogic.

### setBEAHome

    public void setBEAHome(java.io.File beaHome)

  The location of the BEA Home; implicitly selects Weblogic 6.0; optional.

  Parameters:
    `beaHome` - the BEA Home directory.

### setName

    public void setName(java.lang.String serverName)

  The name of the weblogic server within the weblogic home which is to be run. Optiona, defaults to "myserver"

  Parameters:
    `serverName` - the name of the server.

### setDomain

    public void setDomain(java.lang.String domain)

  Set the Domain to run in; required for WL6.0

  Parameters:
    `domain` - the domain

### setProperties

    public void setProperties(java.lang.String propertiesFilename)

  The name of the server's properties file within the weblogic home directory used to control the weblogic instance; required for WL4.5.1

  Parameters:
    `propertiesFilename` - the properties file name

### setJvmargs

    public void setJvmargs(java.lang.String args)

  Set the additional arguments to pass to the weblogic JVM

  Parameters:
    `args` - the arguments to be passed to the JVM

### setUsername

    public void setUsername(java.lang.String username)

  Set the management username to run the server; optional and only applicable to WL6.0.

  Parameters:
    `username` - the management username of the server.

### setPassword

    public void setPassword(java.lang.String password)

  Set the management password of the server; optional and only applicable to WL6.0.

  Parameters:
    `password` - the management pasword of the server.

### setPKPassword

    public void setPKPassword(java.lang.String pkpassword)

  Set the private key password so the server can decrypt the SSL private key file; optional and only applicable to WL6.0.

  Parameters:
    `pkpassword` - the private key password,

### setArgs

    public void setArgs(java.lang.String args)

  Additional argument string passed to the Weblogic instance; optional.

  Parameters:
    `args` - the argument string

### setWeblogicMainClass

    public void setWeblogicMainClass(java.lang.String c)

  name of the main class for weblogic; optional.

  Parameters:
    `c` - the name of the class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD